/*******************************************************************************
 * Copyright (c) 2007, 2010 Association for Decentralized Information Management
 * in Industry THTH ry.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.g2d.canvas;

import java.awt.Cursor;

import org.simantics.utils.threads.IThreadWorkQueue;

/**
 * @author Toni Kalajainen
 */
public interface IMouseCursorContext {

    /**
     * Set mouse cursor. There is a stack and restoreCursor() call returns the previous cursor. 
     * @param mouseId mouse id
     * @param cursor the cursor
     */
    IMouseCursorHandle setCursor(int mouseId, Cursor cursor);  
    
    void addCursorListener(IMouseCursorListener listener);
    void addCursorListener(IMouseCursorListener listener, IThreadWorkQueue thread);
    void removeCursorListener(IMouseCursorListener listener);
    void removeCursorListener(IMouseCursorListener listener, IThreadWorkQueue thread);
    
}
