/*******************************************************************************
 * Copyright (c) 2007, 2010 Association for Decentralized Information Management
 * in Industry THTH ry.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.g2d.element.handler.impl.proxy;

import org.simantics.g2d.canvas.ICanvasContext;
import org.simantics.g2d.element.IElement;
import org.simantics.g2d.element.handler.Heartbeat;

/**
 * @author Toni Kalajainen
 */
public class ProxyHeartbeat implements Heartbeat {

    private static final long serialVersionUID = 2574335701282965279L;

    Heartbeat orig;
    IProxyProvider provider;

    public ProxyHeartbeat(IProxyProvider provider, Heartbeat orig) {
        this.provider = provider;
        this.orig = orig;
    }

    @Override
    public void heartbeat(IElement e, long time, long deltaTime,
            ICanvasContext ctx) {
        orig.heartbeat(e, time, deltaTime, ctx);
    }

}
