/*******************************************************************************
 * Copyright (c) 2007, 2010 Association for Decentralized Information Management
 * in Industry THTH ry.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.g2d.image.impl;

import org.simantics.g2d.image.Image;
import org.simantics.utils.datastructures.cache.IFactory;
import org.simantics.utils.datastructures.cache.IProvider;
import org.simantics.utils.datastructures.cache.ProvisionException;

/**
 * Creates a proxy images of the image provided by the source provider 
 *
 * @author Toni Kalajainen <toni.kalajainen@vtt.fi>
 */
public class ProviderProxier extends AbstractProviderProxy implements IFactory<Image> {

	public ProviderProxier(IProvider<Image> source) {
		super(source);
	}

	@Override
	public synchronized Image get() throws ProvisionException {
		return new ImageProxy( source.get() );
	}

}

